body {
    font-family: Arial, sans-serif;
    background-image: url("background.JPG");
    background-size: cover;
    margin: 0;
    padding: 0;
}

main {
    background-color: #fff;
    border-radius: 5px;
    box-shadow: 0px 0px 10px #000;
    margin: 20px;
    padding: 20px;
    width: 50%;
    animation: fadein 1s ease-out;
}

/* ヘッダー */

header {
    background-color: white;
    margin: 20px;
    padding: 5px;
    border-radius: 5px;
    box-shadow: 0px 0px 10px #000;
    width: 26%;
    transition: all 0.3s ease-out;
    animation: fadein 1s ease-out;
}

header ul {
    font-size: 20px;
    display: flex;
    list-style: none;
    padding: 0;
    gap: 20px;
}
header ul li a {
    transition: all 0.3s ease-out;
    text-decoration: none;
    color: black;
}
header ul li a:hover {
    color: #007BFF;
}

header ul li {
    cursor: pointer;
    padding: 5px 10px;
}

header:hover {
    background-color: #f0f0f0;
    box-shadow: 0px 0px 15px #000;
    transform: translateY(-5px);
}

input[type="text"],
input[type="email"],
textarea {
    border: 2px solid #000;
    border-radius: 5px;
    padding: 10px;
    width: 50%;
    box-sizing: border-box;
    max-height: 200px;
    box-shadow: 0px 0px 5px #000;
    transition: all 0.3s ease-out;
}

input[type="text"]:hover,
input[type="email"]:hover,
textarea:hover {
    border: 2px solid #0FB;
    border-radius: 5px;
    padding: 10px;
    width: 50%;
    box-sizing: border-box;
    max-height: 200px;
    box-shadow: 0px 5px 7px #000;
    transform: translateY(-5px);
}

input[type="submit"] {
    background-color: #007BFF;
    color: white;
    border: none;
    border-radius: 5px;
    padding: 10px 20px;
    cursor: pointer;
    transition: all 0.3s ease-out;
    box-shadow: 0px 0px 5px #000;
}

input[type="submit"]:hover {
    box-shadow: 0px 5px 7px #000;
    transform: translateY(-5px);
    background-color: #0056b3;
}

@keyframes fadein {
    0% {
        opacity: 0;
        transform: translateY(-50px);
    }
    100% {
        opacity: 1;
        transform: translateY(0px);
    }
}

.about-mildhub {
    background-color: #FFF;
    border-radius: 5px;
    margin: 6px 42px;
    padding: 20px;
    box-shadow: 0px 0px 10px #000;
    animation: fadein 1s ease-out;
    width: 35%;
}

.link-to-about {
    background-color: #FFF;
    border-radius: 5px;
    margin: 8px 32px;
    padding: 20px;
    box-shadow: 0px 0px 10px #000;
    animation: fadein 1s ease-out;
    width: 35%;
}